package com.ejie.m62fb.model.tipos;

public class TipoTransmision extends AbstractTipoGenericoP28 {

	private static final long serialVersionUID = 1L;

	/**
	 * Valor que hace referencia al campo de BBDD
	 * 
	 * NUM_REGISTRO
	 */
	public static final long NUM_REGISTRO = P28Tipos.TIPO_TRANSMISION;
	
	public static final String PRIMERA = "1";

	/**
	 * Method 'RegimenTransmision'.
	 */
	public TipoTransmision() {
		super(TipoTransmision.NUM_REGISTRO);
	}

	/**
	 * Method 'RegimenTransmision'.
	 * 
	 * @param codTabla
	 *            String
	 */
	public TipoTransmision(String codTabla) {
		super(TipoTransmision.NUM_REGISTRO, codTabla);
	}

	/**
	 * Method 'RegimenTransmision'.
	 * 
	 * @param codTabla
	 *            String
	 * @param descripcionEs
	 *            String
	 * @param descripcionEu
	 *            String
	 */
	public TipoTransmision(String codTabla, String descripcionEs,
			String descripcionEu) {
		super(TipoTransmision.NUM_REGISTRO, codTabla, descripcionEs,
				descripcionEu);
	}
}